Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2000._09.xmldsig
Class RetrievalMethod

    java.lang.Object
      org.w3._2000._09.xmldsig.RetrievalMethod

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:53:06+02:00",
               comments="JAXB RI v2.2.11")
    public class RetrievalMethod

extends Object
implements Serializable

Java class for RetrievalMethodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RetrievalMethodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
           </sequence>
           <attribute name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RetrievalMethod()`

Method Summary
`Transforms` | `getTransforms()` Gets the value of the transforms property.
`String` | `getType()` Gets the value of the type property.
`String` | `getURI()` Gets the value of the uri property.
`void` | `setTransforms(Transforms value)` Sets the value of the transforms property.
`void` | `setType(String value)` Sets the value of the type property.
`void` | `setURI(String value)` Sets the value of the uri property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetrievalMethod

    public RetrievalMethod()

Method Detail

### getTransforms

    public Transforms getTransforms()

  Gets the value of the transforms property.

  Returns:
    possible object is `Transforms`

### setTransforms

    public void setTransforms(Transforms value)

  Sets the value of the transforms property.

  Parameters:
    `value` - allowed object is `Transforms`

### getURI

    public String getURI()

  Gets the value of the uri property.

  Returns:
    possible object is `String`

### setURI

    public void setURI(String value)

  Sets the value of the uri property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.